# $Revision: 1.17 $, $Date: 2008-05-04 10:01:48 $
Summary:	Ruby webserver toolkit
Summary(pl.UTF-8):	Toolkit języka Ruby dla serwera WWW
Name:		ruby-mongrel
Version:	1.1.1
Release:	2
License:	Ruby
Group:		Development/Libraries
Source0:	http://mongrel.rubyforge.org/releases/gems/mongrel-%{version}.gem
# Source0-md5:	6abbf97ba32a24614230076bfc77034b
Patch0:		%{name}-nogems.patch
URL:		http://mongrel.rubyforge.org/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	ruby-modules
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# passing CFLAGS breaks -fPIC parsing, patch mkmf module to be able to pass CC and OPTFLAgs

%define	ruby_config {\
	%{__ruby} setup.rb config \
		--prefix=%{_prefix} \
		--bindir=%{_bindir} \
		--libdir=%{_libdir} \
		--datadir=%{_datadir} \
		--mandir=%{_mandir} \
		--sysconfdir=%{_sysconfdir} \
		--localstatedir=%{_localstatedir} \
		--rbdir=%{ruby_rubylibdir} \
		--sodir=%{ruby_archdir} \
		--make-prog="%{__make} CC=\"%{__cc}\"" \
}

%define	ruby_setup { \
	%{__ruby} setup.rb setup \
}

%define ruby_install { \
	%{__ruby} setup.rb install \
}

%description
Ruby webserver toolkit.

%description -l pl.UTF-8
Toolkit języka Ruby dla serwera WWW.

%prep
%setup -q -c -T
tar xf %{SOURCE0} -O data.tar.gz | tar xz
%patch0 -p1

find -name '*.rb' -print0 | xargs -0 %{__sed} -i -e 's,\r$,,'

%build
%ruby_config
%ruby_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{ruby_rubylibdir}
%ruby_install \
	--prefix=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{ruby_rubylibdir}/*.rb
%{ruby_rubylibdir}/mongrel
%attr(755,root,root) %{ruby_archdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-mongrel.spec,v $
Revision 1.17  2008-05-04 10:01:48  glen
- release 2

Revision 1.16  2008-05-03 17:32:02  glen
- need -fPIC on amd64

Revision 1.15  2008-05-03 17:10:18  glen
- CC/CFLAGS

Revision 1.14  2007-12-12 23:01:01  aredridel
- 1.1.1

Revision 1.13  2007-03-02 20:51:54  aredridel
- remove dependency on fastthread, as it's merged in ruby 1.8.6

Revision 1.12  2007/02/18 20:37:40  qboosh
- use version macro in Source URL

Revision 1.11  2007/02/18 20:33:48  aredridel
- 1.0.1

Revision 1.10  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.8  2006/12/17 20:52:18  aredridel
- 0.3.20

Revision 1.7  2006/11/04 22:33:26  qboosh
- decompress Source0 once

Revision 1.6  2006/11/04 21:08:01  aredridel
- degemify

Revision 1.5  2006/02/18 10:58:23  qboosh
- pl

Revision 1.4  2006/02/15 01:21:59  aredridel
- up to 0.3.3

Revision 1.3  2006/02/14 06:18:35  aredridel
- up to 0.3.2

Revision 1.2  2006/02/12 21:13:11  aredridel
- up to 0.3.1

Revision 1.1  2006/02/10 23:13:52  aredridel
- added
